Bug 878199 - (kcm_wacomtablet, kcm-wacomtablet) Review Request: kcm_wacomtablet - KDE Control module for Wacom Graphictablets
Review Request: kcm_wacomtablet - KDE Control module for Wacom Graphictablets
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2012-11-19 15:37 EST by Mario Santagiuliana
Modified: 2012-12-09 01:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 11:43:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Santagiuliana 2012-11-19 15:37:23 EST
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/kcm-wacomtablet.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/kcm-wacomtablet-1.3.7-1.fc16.src.rpm
Description:
This module implements a GUI for the Wacom Linux Drivers and extends it with profile support to handle different button/pen layouts per profile

Fedora Account System Username: marionline
Comment 1 Rex Dieter 2012-11-28 07:51:38 EST
i'll take a look today (sorry for the delay).
Comment 2 Rex Dieter 2012-11-28 08:47:05 EST
$ rpmlint *.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

naming: ok

license: ok

macros: ok

sources: ok
f45f7be4fd1818d285dcef5d1300acba  114856-wacomtablet-1.3.7.tar.gz

builds/installs: ok


no issues found,

APPROVED.
Comment 3 Kevin Kofler 2012-11-28 12:16:37 EST
> naming: ok

Uhm, shouldn't this be named kcm_wacomtablet instead?
Comment 4 Rex Dieter 2012-11-28 12:28:46 EST
maybe, though we've never formally standardized kcm package names.  we currently have examples of both kcm- and kcm_ in the repos.
Comment 5 Rex Dieter 2012-11-28 12:56:43 EST
OK, I would concur with kevin here, for now let's try to use
Name: kcm_wacomtablet

(Long term, we may come up with some better standard scheme, but kcm_ is the best we have *now*)

would you mind bumping Release, and adding,
Obsoletes: kcm-wacomtablet < 1.3.7-2
Provides:  kcm-wacomtablet = %{version}-%{release}

and submit an updated .spec for verification?
Comment 6 Mario Santagiuliana 2012-11-29 09:43:01 EST
I update the review request and here the new files:
Spec URL: http://marionline.fedorapeople.org/packages/SPECS/kcm_wacomtablet.spec
SRPM URL: http://marionline.fedorapeople.org/packages/SRPMS/kcm_wacomtablet-1.3.7-2.fc17.src.rpm

Is now ok?

Thank you very much :)
Comment 7 Rex Dieter 2012-11-29 09:44:54 EST
Yes, thanks, looks good.  please import/commit.
Comment 8 Mario Santagiuliana 2012-11-29 10:05:57 EST
New Package SCM Request
=======================
Package Name: kcm_wacomtablet
Short Description: KDE Control module for Wacom Graphictablets
Owners: marionline
Branches: f16 f17 f18
InitialCC: rdieter kkofler
Comment 9 Jon Ciesla 2012-11-29 10:28:20 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2012-11-29 11:47:16 EST
kcm_wacomtablet-1.3.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kcm_wacomtablet-1.3.7-2.fc16
Comment 11 Fedora Update System 2012-11-29 11:48:21 EST
kcm_wacomtablet-1.3.7-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kcm_wacomtablet-1.3.7-2.fc17
Comment 12 Fedora Update System 2012-11-29 11:50:15 EST
kcm_wacomtablet-1.3.7-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kcm_wacomtablet-1.3.7-2.fc18
Comment 13 Fedora Update System 2012-12-07 23:29:15 EST
kcm_wacomtablet-1.3.7-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2012-12-09 01:00:34 EST
kcm_wacomtablet-1.3.7-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-12-09 01:04:00 EST
kcm_wacomtablet-1.3.7-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.